Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.teststeps
Class WsdlTestStepResult

    java.lang.Object
      com.eviware.soapui.impl.wsdl.teststeps.WsdlTestStepResult

All Implemented Interfaces:
  TestStepResult

Direct Known Subclasses:
  TransferResponseValuesTestStep.ValueTransferResult, WsdlMessageExchangeStepResult, WsdlTestRequestStepResult

    public class WsdlTestStepResult

extends java.lang.Object
implements TestStepResult

Default implementation of TestStepResult interface

Author:
  Ole.Matzura

Nested Class Summary

Nested classes/interfaces inherited from interface com.eviware.soapui.model.testsuite.TestStepResult
`TestStepResult.TestStepStatus`

Constructor Summary
`WsdlTestStepResult(WsdlTestStep testStep)`

Method Summary
`void` | `addAction(javax.swing.Action action, boolean isDefault)`
`void` | `addMessage(java.lang.String message)`
`void` | `discard()` Can discard any result data that may be taking up memory.
`ActionList` | `getActions()` Returns a list of actions that can be applied to this result
`java.lang.Throwable` | `getError()`
`java.lang.String[]` | `getMessages()`
`long` | `getSize()` Used for calculating throughput
`TestStepResult.TestStepStatus` | `getStatus()`
`TestStep` | `getTestStep()`
`long` | `getTimeStamp()`
`long` | `getTimeTaken()`
`boolean` | `isDiscarded()`
`void` | `setError(java.lang.Throwable error)`
`void` | `setSize(long size)`
`void` | `setStatus(TestStepResult.TestStepStatus status)`
`void` | `setTimeStamp(long timeStamp)`
`void` | `setTimeTaken(long timeTaken)`
`void` | `startTimer()`
`void` | `stopTimer()`
`void` | `writeTo(java.io.PrintWriter writer)` Writes this result to the specified writer, used for logging.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsdlTestStepResult

    public WsdlTestStepResult(WsdlTestStep testStep)

Method Detail

### getStatus

    public TestStepResult.TestStepStatus getStatus()

  Specified by:
    `getStatus` in interface `TestStepResult`

### setStatus

    public void setStatus(TestStepResult.TestStepStatus status)

### getTestStep

    public TestStep getTestStep()

  Specified by:
    `getTestStep` in interface `TestStepResult`

### getActions

    public ActionList getActions()

  Description copied from interface: `TestStepResult`
  Returns a list of actions that can be applied to this result

  Specified by:
    `getActions` in interface `TestStepResult`

### addAction

    public void addAction(javax.swing.Action action,
                          boolean isDefault)

### getError

    public java.lang.Throwable getError()

  Specified by:
    `getError` in interface `TestStepResult`

### setError

    public void setError(java.lang.Throwable error)

### getMessages

    public java.lang.String[] getMessages()

  Specified by:
    `getMessages` in interface `TestStepResult`

### addMessage

    public void addMessage(java.lang.String message)

### getTimeTaken

    public long getTimeTaken()

  Specified by:
    `getTimeTaken` in interface `TestStepResult`

### setTimeTaken

    public void setTimeTaken(long timeTaken)

### getTimeStamp

    public long getTimeStamp()

  Specified by:
    `getTimeStamp` in interface `TestStepResult`

### setTimeStamp

    public void setTimeStamp(long timeStamp)

### setSize

    public void setSize(long size)

### getSize

    public long getSize()

  Description copied from interface: `TestStepResult`
  Used for calculating throughput

  Specified by:
    `getSize` in interface `TestStepResult`
  Returns:
    the number of bytes in this result

### writeTo

    public void writeTo(java.io.PrintWriter writer)

  Description copied from interface: `TestStepResult`
  Writes this result to the specified writer, used for logging.

  Specified by:
    `writeTo` in interface `TestStepResult`

### startTimer

    public void startTimer()

### stopTimer

    public void stopTimer()

### discard

    public void discard()

  Description copied from interface: `TestStepResult`
  Can discard any result data that may be taking up memory. Timing-values must not be discarded.

  Specified by:
    `discard` in interface `TestStepResult`

### isDiscarded

    public boolean isDiscarded()

  Specified by:
    `isDiscarded` in interface `TestStepResult`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.